summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorRichard W.M. Jones <rjones@redhat.com>2012-09-18 12:51:36 +0100
committerRichard W.M. Jones <rjones@redhat.com>2012-09-18 12:52:37 +0100
commitaeb2f76a585afdca07691771ab4d3d50cab2cbd0 (patch)
treeea397618eb79db61846ac9d18e56f6419b9aa093 /tests
parent157b5006dbf2db2927e48ce592a83a279513d183 (diff)
downloadlibguestfs-aeb2f76a585afdca07691771ab4d3d50cab2cbd0.tar.gz
libguestfs-aeb2f76a585afdca07691771ab4d3d50cab2cbd0.tar.xz
libguestfs-aeb2f76a585afdca07691771ab4d3d50cab2cbd0.zip
extra-tests: Re-run the tests against upstream libvirt.
Diffstat (limited to 'tests')
-rw-r--r--tests/extra/Makefile.am18
-rwxr-xr-xtests/extra/test-with-upstream-libvirt.sh38
2 files changed, 56 insertions, 0 deletions
diff --git a/tests/extra/Makefile.am b/tests/extra/Makefile.am
index 8fd24b37..4cc993a8 100644
--- a/tests/extra/Makefile.am
+++ b/tests/extra/Makefile.am
@@ -25,6 +25,7 @@
# - libtool
# Optional:
# - upstream qemu in $QEMUDIR
+# - upstream libvirt in $LIBVIRTDIR
#
# These tests may fail for reasons which aren't necessarily real problems.
#
@@ -60,6 +61,7 @@ EXTRA_DIST = \
pick-guests.pl \
suppressions \
test-with-launch-appliance.sh \
+ test-with-upstream-libvirt.sh \
test-with-upstream-qemu.sh
VG = $(VALGRIND) \
@@ -96,6 +98,7 @@ extra-tests-non-recursive: \
extra-tests: \
extra-tests-non-recursive \
extra-tests-with-upstream-qemu \
+ extra-tests-with-upstream-libvirt \
extra-tests-with-launch-appliance
test-guests:
@@ -212,6 +215,21 @@ export MAKE
extra-tests-with-upstream-qemu:
./test-with-upstream-qemu.sh
+# When running the extra tests and ./configure
+# --with-default-attach-method=libvirt, if directory $LIBVIRTDIR
+# exists, we will rerun all the extra-tests using the version of
+# libvirt in that directory. eg. That might be upstream libvirt from
+# git.
+#
+# The directory name can be overridden using:
+# make extra-tests LIBVIRTDIR=/path/to/other/libvirt
+
+LIBVIRTDIR = $(HOME)/d/libvirt
+export LIBVIRTDIR
+
+extra-tests-with-upstream-libvirt:
+ ./test-with-upstream-libvirt.sh
+
# If libvirt is being used as the backend, rerun all the extra-tests
# again using the regular appliance backend.
diff --git a/tests/extra/test-with-upstream-libvirt.sh b/tests/extra/test-with-upstream-libvirt.sh
new file mode 100755
index 00000000..31b50e8f
--- /dev/null
+++ b/tests/extra/test-with-upstream-libvirt.sh
@@ -0,0 +1,38 @@
+#!/bin/sh -
+# Copyright (C) 2012 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+#set -x
+
+method="$(../../fish/guestfish get-attach-method)"
+if [ "$method" != "libvirt" ]; then
+ echo "$0: test skipped because attach-method is not 'libvirt'"
+ exit 77
+fi
+
+if [ ! -d "$LIBVIRTDIR" ]; then
+ echo "$0: \$LIBVIRTDIR not a directory, tests against upstream libvirt skipped"
+ exit 77
+fi
+
+libvirt_run="$LIBVIRTDIR/run"
+if [ ! -x "$libvirt_run" ]; then
+ echo "$0: $libvirt_run not executable, tests against upstream libvirt skipped"
+ exit 77
+fi
+
+exec "$libvirt_run" $MAKE extra-tests-non-recursive